Subject: RE: bad installation ?
From: "John Morrison (Cygwin)" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 12 Mar 2005 09:30:55 -0000 (GMT)

List changed - sorry Christopher, didn't notice that, I've CC'd Owen and
Matthew in incase they aren't subscribed.  Guy's; please just reply to the
list (and subscribe if necessary).

Matthew: please don't send emails with peoples address in them, I for one
get enough spam without helping them.

On Fri, March 11, 2005 12:25 am, Matthew Johnson said:
>
> --- "John Morrison (Cygwin)" <address removed> wrote:
>
>> Hi Matthew,
>>
>> Although the message is from base-files the reason
>> is due to installation.
>
> OK...
>
>> In my experience this only
>> occurs when installing for a domain user although
>> others have reported other reasons for it.
>
> 'Domain'? What kind of 'domain' are you talking about
> here? And why should a user have to rebuild the entire
> passwd and group files just because they are a domain
> user? This sounds wrong: if it is right, more
> explanation is necessary.

Fine - help me out here - what would satisfy you?
Cygwin is not (and not for the lack of trying - which is why I took over
this package *and* added this message) quite easy for people with no
knowledge of *nix or windows.

You have to add users to them that weren't known about when you first
installed Cygwin.   I appologise - it doesn't know everything about *your*
computer/network/user setup!

>> For me, the message occurs because the base-passwd
>> (which I also maintain) doesn't and (for a number of
>> reasons, see archives) can't add domain users.
>
> What 'base-passwd'? And can you be a little more
> specific than "see archives"? I did a search with
> "cygwin base-passwd domain user" and I still have a
> sinking feeling when I see what links come up.

This, <http://www.cygwin.com/ml/cygwin-apps/2002-12/msg00037.html>
I believe was around the time when I started taking an interest in
improving the "out of the box" experience for new users.

>> The outcome is, for this user, is that you get added
>> to a special group.  In an effort to stop or at
>> least
>> slow ;) the number of emails to the list when stuff
>> didn't work because their user/group wasn't setup
>> correctly some detection code was added to
>> base-files
>> along with some instruction as to what to do.
>
> Right. And when I follow those instructions, it
> _still_ does not work: it does not allow me to remake
> the group, so I still get the message.

You don't help yourself - "not allow [me] to remake the group" - why not? 
What's the error message?  Are you a user in a domain?  Is the domain set
correctly in your environment variables?... come on help us out.

> So I am quite
> surprised that you say this message has reduced the
> number of emails to the list.

I'm afraid I can't help your surprise.  But that doesn't change the fact
that it did.

> Besides: the user should not have to know enough about
> domains and passwords to know why you have assumed
> that domain user stay domain users. And why are you so
> worried about the "problems there" when domain users
> are added (or did you mean not added) to passwd/group
> files?

>> Basically adding your user (using the domain flag if
>> appropriate) to the passwd and group files which is
>> what the message attempts to help the user to do.
>
> This sentence is missing a main verb. Besides: I tried

It was written while I was in a rush.  It is also considered rude to
comment on somebodies English on lists - you never know when it's not
their first language.

> this both with and without the -d flag and make group
> failed both ways.
>
>> It
>> appears (judging from the number of times this
>> question isn't now appearing on the lists) to have
>> worked for most people, but I'm always looking for
>> perfection ;)
>
> As I said, it surprises me that this would reduce the
> number, since it failed so quickly for me. But I
> always knew I was different;)

Maybe, but I don't think you've explained _why_ you are different. 
Without the why I'm afraid there's little that can be done.  Hense what is
seen as short, terse and (apparently) rude messages.

>> Hope this helps explain things,
>
> Partially, yes. But I am still mystified why both
> "mkgroup -l > /etc/passwd" and "mkgroup -l -d >
> /etc/passwd" fail. The error code from the latter is
> "Cannot get PDC, code = 2453".
>
> [snip]
>
> BTW: maybe _you_ never log on locally when running on
> a network domain, but I often do.

Correct, I don't.  At home I don't have a domain, at work I don't have a
local user.  Would I be correct in assuming that the username is the same
for both domain and local?

> So I find the restriction irritating.

What restriction?

> And I see from perusing the
> list that I am not the first to find it so. More
> important, in some benighted companies, users do not
> have Administrator privileges on their own Win95
> workstations. They can only log on with their domain
> user name. Won't they want to be able to log on
> locally even more often (under Cygwin)?

*I* don't know as I replied above, I always use Cygwin locally at home and
AFAIK I'm not the only one.

*Please*, I am only trying to help you and anyone else who is encountering
this problem.  I'm doing this totally on my own time (as are most people
on these lists) and we need the people who encounter problems to help us
fix things, especially those who solve the problem with a solution which
isn't given!

On Fri, March 11, 2005 1:28 pm, Owen Rees said:
> --On 10 March 2005 20:14 +0000 John Morrison (Cygwin) wrote:
>
>> Basically adding your user (using the domain flag if
>> appropriate) to the passwd and group files which is
>> what the message attempts to help the user to do.  It
>> appears (judging from the number of times this
>> question isn't now appearing on the lists) to have
>> worked for most people, but I'm always looking for
>> perfection ;)
>>
>> Hope this helps explain things,
>
> My system is not in the same domain as my login id, and I suspect that may
> make a difference. One of the problems with saying "if appropriate" is
> that
> it assumes that the reader knows when it is appropriate, but if they did,
> they would probably not need to ask the question.

Please don't just critise, offer solutions/suggestions too...

> Searching the mail archives turned up this in
> <http://sourceware.org/ml/cygwin/2005-01/msg00642.html>:
>
>> There is an off chance that 'mkpasswd -u yourself -d thedomain'
>> might work, where thedomain is the global corporate domain.
>
> Sustituting "domain part from the domain\user I can use to log in" for
> "global corporate domain" (they are not the same thing in my case) I got a
> result that included the (number of) the group "Domain Users", the group
> in which Windows utilities

which utility?

> seems to create files for me. Unfortunately the
> result offered a different home directory from the one I have been using
> with my current setup, but a careful edit to /etc/passwd seems to have
> changed things for the better.

That's one solution, but personally I prefer to setup a mount to another
directory.  It's more permament (incase you regenerate /etc/passwd), you
won't delete it by accident (if you remove cygwin), it's easier to backup
and navigate to in explorer.

> As for neither fixing the problem before, not posting about it, I was
> getting stupid results from 'ls -l' for the group, but apart from that
> nothing seemed to be broken.

Nothing really is broken, cygwin doesn't actually use this information for
anything but display (AFAIK), it basically tranlates the underlying
windows stuff into something *nixy :)

> It did not seem worth a lot of effort trying
> to tidy up a loose end that did not seem to be making any real difference.

Lots of people agree, but it would be better for everyone if somebody who
did fix it reported back what the problem was and how it got fixed along
with a suggestion of how to help people avoid it in the future... ;)

> I did try the things that the message about mkgroup_l_d seemed to be
> suggesting, but they did not make any difference. In reading the man page
> for mkpasswd I did not realise that "current domain" apparently does not
> mean the domain in which my login id is defined.

Can't help there - I don't maintain mkpasswd's man page.  Personally I
didn't know that your user could be in a different domain from the one
where it is defined!  Oh well, live and learn.

Suggestions to improve things...?

J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/